<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

    <bean id="mainAction" class="en.dlink.action.MainAction">
    </bean>

    <bean id="viewNetworksAction" class="en.dlink.action.ViewNetworksAction" scope="prototype">
        <property name="networkManager" ref="networkManager" />
        <property name="userManager" ref="userManager" />
    </bean>

    <bean id="viewDevicesAction" class="en.dlink.action.ViewDevicesAction" scope="prototype">
        <property name="networkManager" ref="networkManager" />
        <property name="fileManager" ref="fileManager"/>
        <property name="userManager" ref="userManager" />
    </bean>

    <bean id="viewDeviceInfoAction" class="en.dlink.action.ViewDeviceInfoAction" scope="prototype">
        <property name="networkManager" ref="networkManager" />
        <property name="paramManager" ref="paramManager"/>
        <property name="userManager" ref="userManager" />
    </bean>

    <bean id="getChangedValuesAction" class="en.dlink.action.GetChangedValuesAction" scope="prototype">
        <property name="paramManager" ref="paramManager" />
        <property name="userManager" ref="userManager" />
    </bean>

    <bean id="viewSpecificInfoAction" class="en.dlink.action.ViewSpecificInfoAction" scope="prototype">
         <property name="networkManager" ref="networkManager" />
    </bean>

    <bean id="viewNewDeviceInfoAction" class="en.dlink.action.ViewNewDeviceInfoAction" scope="prototype">
    </bean>

    <bean id="loginAction" class="en.dlink.action.LoginAction" scope="prototype">
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="authenticationAction" class="en.dlink.action.AuthenticationAction" scope="prototype" >
    </bean>

    <bean id="logoutAction" class="en.dlink.action.general.LogoutAction" scope="prototype" >
    </bean>

     <bean id="viewUserInfoAction" class="en.dlink.action.general.ViewUserInfoAction"  scope="prototype">
        <property name="userManager" ref="userManager"/>
     </bean>

     <bean id="activateAction" class="en.dlink.action.general.ActivateAction" scope="prototype">
           <property name="userManager" ref="userManager" />
     </bean>


    <bean id="toChangePasswordAction"  class="en.dlink.action.operator.ChangePasswordAction" scope="prototype">
        <property name="userManager" ref="userManager" />
    </bean>
    
    <bean id="changeProfileAction" class="en.dlink.action.general.ChangeProfileAction" scope="prototype">
        <property name="userManager" ref="userManager" />
    </bean>

    <!--<bean id="selectParamsForUser" class="en.dlink.action.admin.SelectParamsForUsers" scope="prototype">-->
        <!--<property name="networkManager"  ref="networkManager"/>-->
    <!--</bean>-->

    <bean id="checkChangesAppliedAction" class="en.dlink.action.general.CheckChangesAppliedAction" scope="prototype" >
        <property name="paramManager"  ref="paramManager"/>
        <property name="userManager" ref="userManager" />
    </bean>

    <bean id="setDefValueForParamAction" class="en.dlink.action.general.SetDefValueForParamAction"  scope="prototype">
            <property name="paramManager"  ref="paramManager"/>
    </bean>

    <bean id="setDefValuesForManyParamAction" class="en.dlink.action.general.SetDefValuesForManyParamAction" scope="prototype">
             <property name="paramManager"  ref="paramManager"/>
             <property name="userManager" ref="userManager" />
   </bean>

    <bean id="changePassword" class="en.dlink.action.general.ChangePassword" scope="prototype">
        <property name="mailSender" ref="mailSender"/>
        <property name="simpleMailSender"  ref="simpleMailMessage"/>
        <property name="userManager" ref="userManager"/>
    </bean>
    
    <bean id="addNewModel" class="en.dlink.action.admin.AddNewModel" scope="prototype">
        <property name="modelManager" ref="modelManager"/>
        <property name="networkManager" ref="networkManager"/>
        <property name="userManager" ref="userManager"/>
    </bean>

    <bean id="searchDevicesAction" class="en.dlink.action.SearchDevicesAction" scope="prototype" >
         <property name="networkManager" ref="networkManager" />
         <property name="userManager" ref="userManager" />
    </bean>

    <bean id="rebootAction" class="en.dlink.action.RebootAction" scope="prototype" >
         <property name="networkManager" ref="networkManager" />
         <property name="userManager" ref="userManager" />
    </bean>

    <bean id="topology" class="en.dlink.action.general.TopologyAction" scope="prototype">
        <property name="subscriberManager" ref="subscriberManager"/>
    </bean>
</beans>